@file:Suppress("ObjectPropertyName", "ObjectPropertyNaming", "MagicNumber")

package co.electriccoin.zcash.ui.design.theme.colors

import androidx.compose.ui.graphics.Color

internal object Base {
    val Bone = Color(0xFFFFFFFF)
    val Concrete = Color(0xFFF4F4F4)
    val Espresso = Color(0xFF332424)
    val Obsidian = Color(0xFF231F20)
    val Brand = Color(0xFFFCBB1A)
}

internal object Gray {
    val `25` = Color(0xFFFFFFFF)
    val `50` = Color(0xFFF7F7F5)
    val `100` = Color(0xFFEBEBE6)
    val `200` = Color(0xFFD9D8CF)
    val `300` = Color(0xFFC0BFB1)
    val `400` = Color(0xFFA6A391)
    val `500` = Color(0xFF94907B)
    val `600` = Color(0xFF87816F)
    val `700` = Color(0xFF716C5D)
    val `800` = Color(0xFF5E594E)
    val `900` = Color(0xFF4D4941)
    val `950` = Color(0xFF282622)
}

internal object Brand {
    val `25` = Color(0xFFFFFFFF)
    val `50` = Color(0xFFFFFBEB)
    val `100` = Color(0xFFFEF3C7)
    val `200` = Color(0xFFFEE589)
    val `300` = Color(0xFFFDD14C)
    val `400` = Color(0xFFFCBB1A)
    val `500` = Color(0xFFF69C0A)
    val `600` = Color(0xFFDA7505)
    val `700` = Color(0xFFB55208)
    val `800` = Color(0xFF933F0D)
    val `900` = Color(0xFF79340E)
    val `950` = Color(0xFF451903)
}

internal object Shark {
    val `25` = Color(0xFFFFFFFF)
    val `50` = Color(0xFFE8E8E8)
    val `100` = Color(0xFFD2D1D2)
    val `200` = Color(0xFFBDBBBC)
    val `300` = Color(0xFFA7A5A6)
    val `400` = Color(0xFF939091)
    val `500` = Color(0xFF7E7C7C)
    val `600` = Color(0xFF6B6868)
    val `700` = Color(0xFF585455)
    val `800` = Color(0xFF454243)
    val `900` = Color(0xFF343031)
    val `950` = Color(0xFF231F20)
}

internal object SharkShades {
    val `00dp` = Color(0xFF231F20)
    val `01dp` = Color(0xFF2E2A2B)
    val `02dp` = Color(0xFF322F30)
    val `03dp` = Color(0xFF353132)
    val `04dp` = Color(0xFF373334)
    val `06dp` = Color(0xFF3B3839)
    val `08dp` = Color(0xFF3D3A3B)
    val `12dp` = Color(0xFF423E3F)
    val `16dp` = Color(0xFF444141)
    val `24dp` = Color(0xFF464344)
}

internal object SuccessGreen {
    val `25` = Color(0xFFF6FEF9)
    val `50` = Color(0xFFECFDF3)
    val `100` = Color(0xFFDCFAE6)
    val `200` = Color(0xFFABEFCE)
    val `300` = Color(0xFF75E0A7)
    val `400` = Color(0xFF47CD89)
    val `500` = Color(0xFF17B26A)
    val `600` = Color(0xFF079455)
    val `700` = Color(0xFF067647)
    val `800` = Color(0xFF085D3A)
    val `900` = Color(0xFF074D31)
    val `950` = Color(0xFF053321)
}

internal object ErrorRed {
    val `25` = Color(0xFFFFFBFA)
    val `50` = Color(0xFFFef3F2)
    val `100` = Color(0xFFFee4e2)
    val `200` = Color(0xFFFecddca)
    val `300` = Color(0xFFFda29b)
    val `400` = Color(0xFFF97066)
    val `500` = Color(0xFFF04438)
    val `600` = Color(0xFFD92D20)
    val `700` = Color(0xFFB42318)
    val `800` = Color(0xFF912018)
    val `900` = Color(0xFF7A271A)
    val `950` = Color(0xFF55160C)
}

internal object WarningYellow {
    val `25` = Color(0xFFFEFAF5)
    val `50` = Color(0xFFFef6Ee)
    val `100` = Color(0xFFFdead7)
    val `200` = Color(0xFFf9dbaf)
    val `300` = Color(0xFFf7b27a)
    val `400` = Color(0xFFf38744)
    val `500` = Color(0xFFef6820)
    val `600` = Color(0xFFe04f16)
    val `700` = Color(0xFFb93815)
    val `800` = Color(0xFF932f19)
    val `900` = Color(0xFF772917)
    val `950` = Color(0xFF511C10)
}

object HyperBlue {
    val `25` = Color(0xFFF5F8FF)
    val `50` = Color(0xFFEFF4FF)
    val `100` = Color(0xFFD1E0FF)
    val `200` = Color(0xFFB2CCFF)
    val `300` = Color(0xFF84ADFF)
    val `400` = Color(0xFF528BFF)
    val `500` = Color(0xFF2970FF)
    val `600` = Color(0xFF155EEF)
    val `700` = Color(0xFF004EEB)
    val `800` = Color(0xFF0040C1)
    val `900` = Color(0xFF00359E)
    val `950` = Color(0xFF002266)
}

internal object Indigo {
    val `25` = Color(0xFFF5F8FF)
    val `50` = Color(0xFFEef4ff)
    val `100` = Color(0xFFE0EAFF)
    val `200` = Color(0xFFC7D7FE)
    val `300` = Color(0xFFA4BCFD)
    val `400` = Color(0xFF8098F9)
    val `500` = Color(0xFF6172F3)
    val `600` = Color(0xFF444CE7)
    val `700` = Color(0xFF3538CD)
    val `800` = Color(0xFF2D31A6)
    val `900` = Color(0xFF2D3282)
    val `950` = Color(0xFF1F235B)
}

internal object Purple {
    val `25` = Color(0xFFFAFAFF)
    val `50` = Color(0xFFF4F3FF)
    val `100` = Color(0xFFEBE9FE)
    val `200` = Color(0xFFD9D6FE)
    val `300` = Color(0xFFBDB4FE)
    val `400` = Color(0xFF9B8AFB)
    val `500` = Color(0xFF7A5AF8)
    val `600` = Color(0xFF6938EF)
    val `700` = Color(0xFF5925DC)
    val `800` = Color(0xFF4A1FB8)
    val `900` = Color(0xFF3E1C96)
    val `950` = Color(0xFF27115F)
}

internal object Espresso {
    val `25` = Color(0xFFFFFFFF)
    val `50` = Color(0xFFEBE9E9)
    val `100` = Color(0xFFD6D3D3)
    val `200` = Color(0xFFC3BDBD)
    val `300` = Color(0xFFAFA8A8)
    val `400` = Color(0xFF9C9393)
    val `500` = Color(0xFF8A7F7F)
    val `600` = Color(0xFF776C6B)
    val `700` = Color(0xFF655958)
    val `800` = Color(0xFF544646)
    val `900` = Color(0xFF433535)
    val `950` = Color(0xFF332424)
}

internal object TransparentColorPalette {
    val Light = Color(0xFFFFFFFF)
    val Dark = Color(0xFF231F20)
}
